commit 03780ab494ed3fe0192268b97fdbc595f3f5fd0a
Author: freddy77 <freddy77>
Date:   Fri Feb 15 11:06:39 2008 +0000

    fix SQL_ATTR_CONNECTION_DEAD

diff --git a/ChangeLog b/ChangeLog
index 2dec974..0373661 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Fri Feb 15 12:05:48 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/odbc.c: fix SQL_ATTR_CONNECTION_DEAD
+
 Fri Feb 15 11:53:41 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* configure.ac: fix nasty problem with HP-UX
 
@@ -166,4 +169,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2489 2008/02/15 11:00:40 freddy77 Exp $
+$Id: ChangeLog,v 1.2490 2008/02/15 11:06:39 freddy77 Exp $
diff --git a/src/odbc/odbc.c b/src/odbc/odbc.c
index a897f93..9438336 100644
--- a/src/odbc/odbc.c
+++ b/src/odbc/odbc.c
@@ -60,7 +60,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: odbc.c,v 1.471 2008/02/08 09:32:06 freddy77 Exp $");
+TDS_RCSID(var, "$Id: odbc.c,v 1.472 2008/02/15 11:06:39 freddy77 Exp $");
 
 static SQLRETURN _SQLAllocConnect(SQLHENV henv, SQLHDBC FAR * phdbc);
 static SQLRETURN _SQLAllocEnv(SQLHENV FAR * phenv);
@@ -4471,6 +4471,7 @@ _SQLGetConnectAttr(SQLHDBC hdbc, SQLINTEGER Attribute, SQLPOINTER Value, SQLINTE
 		ODBC_RETURN_(dbc);
 		break;
 #if defined(SQL_ATTR_CONNECTION_DEAD) && defined(SQL_CD_TRUE)
+	case SQL_ATTR_CONNECTION_DEAD:
 		*((SQLUINTEGER *) Value) = IS_TDSDEAD(dbc->tds_socket) ? SQL_CD_TRUE : SQL_CD_FALSE;
 		ODBC_RETURN_(dbc);
 		break;

